unit MouseCapture;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ShowMouseXY(X,Y:integer);
  end;

  _MCallBack = procedure (X,Y:integer) of object;

  function registerGlobalMouseCallBack(ACallBack:_MCallBack):longint; external 'mousehook.dll';
  function UnRegisterGlobalMouseCallBack:longBool; external 'mousehook.dll';

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ShowMouseXY(X,Y:integer);
Begin
  Label1.Caption:=intToStr(x)+';'+intToStr(y);
End;

procedure TForm1.Button1Click(Sender: TObject);
begin
  caption:=intToStr(registerGlobalMouseCallBack(ShowMouseXY));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  UnregisterGlobalMouseCallBack
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  UnregisterGlobalMouseCallBack;
end;

end.
